{% extends "admin/base_site.html" %}
{% load i18n admin_urls static admin_list %}

{% block title %} {{ page_title }} {% endblock title %}
{% block extrastyle %}
  {{ block.super }}
  <!-- jQuery Select2 -->
  <link rel="stylesheet" type="text/css" href='{% static "admin/vendors/select2/select2.min.css" %}' />
  <link rel="stylesheet" type="text/css" href='{% static "admin/css/custom.min.css" %}' />
{% endblock %}
{% block javascripts %}
  {{ block.super }}
  <script src="/static/admin/js/custom_changeList.min.js"></script>
{% endblock %}

{% block extrahead %}
  {{ block.super }}
  <script type="text/javascript" src="{% url 'admin:jsi18n' %}"></script>
  {{ media }}
  <!-- jQuery Select2 -->
  <script src='{% static "admin/vendors/select2/select2.min.js" %}' ></script>
{% endblock %}

{% block content %}
  <div class="row changelist-top">
    <div class="col-sm-3 col-md-3">
      {% block object-tools %}
        {% block object-tools-items %}
          {% if has_add_permission %}
            {% url cl.opts|admin_urlname:'add' as add_url %}
            <a href="{% add_preserved_filters add_url is_popup to_field %}" class="addlink btn btn-success">
              Add {{ xPanel_title }}
            </a>
          {% endif %}
        {% endblock %}
      {% endblock %}
    </div>
    
    {% if cl.has_filters %}
      <div class="col-sm-9 col-md-offset-2 col-md-4 text-right">
    {% else %}
      <div class="col-sm-9 col-md-offset-4 col-md-5 text-right">
    {% endif %}
      {% block search %}{% search_form cl %}{% endblock %}
      {% block date_hierarchy %}{% date_hierarchy cl %}{% endblock %}
    </div>
  </div>
  
  {% if cl.formset.errors %}
    <div class="row">
      <div class="col-sm-12">
        <p class="errornote">
          {% if cl.formset.total_error_count == 1 %}{% trans "Please correct the error below." %}{% else %}{% trans "Please correct the errors below." %}{% endif %}
        </p>
        {{ cl.formset.non_form_errors }}
      </div>
    </div>
  {% endif %}
    
  <div class="row module{% if cl.has_filters %} filtered{% endif %}" id="changelist">
    {% if cl.has_filters %}
      <div class="col-md-9">
    {% else %}
      <div class="col-md-12">
    {% endif %}  
      <div class="x_panel">
        <div class="x_title">
          <h2>{{ xPanel_title }}</h2>
          <ul class="panel_toolbox text-right">
            <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
          </ul>
        </div>
        <div class="x_content">
          <form id="changelist-form" method="post"{% if cl.formset.is_multipart %} enctype="multipart/form-data"{% endif %} novalidate>{% csrf_token %}
            {% if cl.formset %}
              <div>{{ cl.formset.management_form }}</div>
            {% endif %}

            {% block result_list %}
              {% if action_form and actions_on_top and cl.show_admin_actions %}{% admin_actions %}{% endif %}
              {% result_list cl %}
              {% if action_form and actions_on_bottom and cl.show_admin_actions %}{% admin_actions %}{% endif %}
            {% endblock %}
            {% block pagination %}{% pagination cl %}{% endblock %}
          </form>
        </div>
      </div>
    </div>

    {% block filters %}
      {% if cl.has_filters %}
        <div class="col-md-3 change_list_filter">
          <div class="x_panel">
            <div class="x_title">
              <h2>{% trans 'Filter' %}</h2>
              <ul class="panel_toolbox text-right">
                <li><a class="collapse-link" title="{% trans "Toggle" %}"><i class="fa fa-chevron-up"></i></a></li>
              </ul>
            </div>
            <div class="x_content">
              <div id="changelist-filter">
                <div class="changelist-filter-reset" style="display:none">
                  <p><a onclick="filterReset()" class="btn btn-default"><i class="fa fa-times" aria-hidden="true"></i><span>Reset all filters</span></a></p>
                </div>
                {% for spec in cl.filter_specs %}{% admin_list_filter cl spec %}{% endfor %}
              </div>
            </div>
          </div>
        </div>
      {% endif %}
    {% endblock %}

  </div>
  
  <script type="text/javascript">
  (function($) {
    $(document).ready(function() {
      checkActionColumn({{ permission.change }}, {{ permission.delete }});
    });
  })(django.jQuery);
  </script>
{% endblock %}